import request from '@/utils/request'

// 查询材料取样复试列表
export function listCheckDetection(query) {
  return request({
    url: '/project/checkDetection/list',
    method: 'get',
    params: query
  })
}

// 查询材料取样复试详细
export function getCheckDetection(id) {
  return request({
    url: '/project/checkDetection/' + id,
    method: 'get'
  })
}

// 新增材料取样复试
export function addCheckDetection(data) {
  return request({
    url: '/project/checkDetection',
    method: 'post',
    data: data
  })
}

// 修改材料取样复试
export function updateCheckDetection(data) {
  return request({
    url: '/project/checkDetection',
    method: 'put',
    data: data
  })
}
// 取样复试登记结果
export function updateCheckDetectionResult(data) {
  return request({
    url: '/project/checkDetection/editResult',
    method: 'post',
    data: data
  })
}

// 删除材料取样复试
export function delCheckDetection(id) {
  return request({
    url: '/project/checkDetection/' + id,
    method: 'delete'
  })
}

//材料取样复试统计
export function findGroupCountByApprove(query) {
  return request({
    url: '/project/checkDetection/findGroupCountByApprove',
    method: 'get',
    params: query
  })
}